
Smart Proxy - Bug #845

Puppet and puppetca operations do not return NOTFOUND

04/14/2011 10:24 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Puppet   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman checks for and discards NOTFOUND error conditions when deleting autosign or certificates for a host.

The smart proxy does not differentiate this condition and in earlier versions of puppetca removing a non-existant certificate generates

an error.

Associated revisions

Revision 171baf6a - 05/11/2011 02:12 AM - Paul Kelly

Fixes #845 - puppetca delete operations should report NotFound

Foreman does not consider this an error and checks for it

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 05/10/2011 03:40 AM - Paul Kelly

- Status changed from New to Ready For Testing

#2 - 05/11/2011 02:11 AM - Ohad Levy

- Target version set to 0.2

#3 - 05/11/2011 03:21 AM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset 171baf6a3b0d32d810d64ab0aafac31290140083.

#4 - 05/26/2011 07:53 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
